// David Denny, 1001915603

// Five-Bit Incrementer
module FiveBitIncrementer (
	input		[4:0] A, 	// Declare input ports
	input 		select,
	output 		[4:0] S); 		// Declare output ports for sum
	wire 		[4:0] C; 	// Declare internal nets
	
	// Instantiate the full adder module for each stage of the Incrementer.
	halfAdder s0 (A[0], select, S[0], C[0]); 	  //stage 0
	FAbehave s1 (A[1], 1'b0, C[0], S[1], C[1]); //stage 1
	FAbehave s2 (A[2], 1'b0, C[1], S[2], C[2]); //stage 2
	FAbehave s3 (A[3], 1'b0, C[2], S[3], C[3]); //stage 3
	FAbehave s4 (A[4], 1'b0, C[3], S[4], C[4]); //stage 4
		
endmodule
