// David Denny, 1001915603

// Modular Multiplexer
module modularMux #(parameter N = 5)(
	input		[N-1:0] R,		// Subtractor Result (For Lab 5)
	input		[N-1:0] B,		// Two's Comp Result (For Lab 5)
	input		Cout,			// Cout from Ripple-Carry Subtractor (For Lab 5)
	output	[N-1:0] out);		// Multiplexer Output
	
	// For Lab 5, this mux outputs the following:
	// If Cout = 0, out = B (Two's Comp Result)
	// If Cout = 1, out = R (Subtractor Result)
	always @(Cout or R or B) begin
		out = (Cout) ? R : B;
	end

endmodule